Summary: Obtain your geo-location data from Google using NetworkManager
Name: geome
Version: 2.0
Release: 7%{?dist}
License: GPLv3
Url:  http://ftp.nohats.ca/%{name}
Source: http://ftp.nohats.ca/%{name}/%{name}-%{version}.tar.gz
Group: Applications/Internet
BuildArch: noarch
BuildRequires: python-setuptools-devel, python2-devel
Requires: dbus-python python-simplejson python-argparse
Requires: python-geome = %{version}

Patch1: geome-2.0-fedora-portal.patch

%description
geome queries NetworkManager for its wifi information, such as ESSID's
and signal strength, and sends it to Google Location to obtain your
geographic location. 
It can return all of the information Google returns, or with the -s
flag, only return the latitude/longitude. This last mode is used by
the Pidgin OTR nearby friends plugin.

%package -n python-geome
Summary: Python library for geome location
Group: Applications/System

%description -n python-geome
Geome python module with the geome.location() function

%prep
%setup -q 
%patch1 -p1

%build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1 %{buildroot}/%{python_sitelib}
install -p -m 0644 src/geome.py %{buildroot}%{python_sitelib}
install -p -m 0755 geome %{buildroot}%{_bindir}
install -p -m 644 geome.1 %{buildroot}%{_mandir}/man1

%files -n python-geome
%doc README COPYING
%{python_sitelib}/*

%files
%{_bindir}/geome
%{_mandir}/man1/geome.1*

%changelog
* Sat Dec 03 2016 Paul Wouters <pwouters@redhat.com> - 2.0-7
- Patch to allow for fedora capture portal's changed output lacking a newline :(

* Sun Oct 06 2013 Paul Wouters <pwouters@redhat.com> - 2.0-1
- Updated to 2.0 - uses new Google API, extended lib functions and cli client

* Mon Dec  3 2012 Paul Wouters <pwouters@redhat.com> - 1.4-2
- Properly split library and command tool in subpackage
  (rhbz#656454)

* Mon Nov 12 2012 Paul Wouters <pwouters@redhat.com> - 1.4-1
- Update to 1.4, different exit codes, man page updates

* Sun Nov 11 2012 Paul Wouters <pwouters@redhat.com> - 1.3-1
- Update to 1.3, which has connectivity and hotspot detection
  (allows it to fail more quickly, in 5s)
- Splits library and command tool in subpackage
- Remove dependancy on python-simplejson

* Mon Apr 09 2012 Paul Wouters <pwouters@redhat.com> - 1.1-2
- Initial package for Fedora
- add -p to install

* Sun Apr 08 2012 Paul Wouters <pwouters@redhat.com> - 1.1-1
- Fixups as per review bug rhbz#810417

* Fri Apr 06 2012 Paul Wouters <pwouters@redhat.com> - 1.0-1
- Initial release and package

